Skip to main content
GET
/
v1
/
links
/
{link_id}
/
investments
List all investment holdings
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/investments/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "next": "<string>",
  "previous": "<string>",
  "accounts": [
    {
      "type": "CHECKING",
      "subtype": "MONEY_MARKET",
      "mask": "6789",
      "balances": {
        "currency_code": "USD",
        "balance": "100.00",
        "available_balance": "50.99",
        "credit_limit": "200.00"
      },
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "nickname": "My account",
      "holdings_value": "145000.00"
    }
  ],
  "holdings": [
    {
      "holding_type": "EXCHANGE_TRADED_FUND",
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "created_at": "2026-04-01T10:00:00.000Z",
      "updated_at": "2026-04-01T10:00:00.000Z",
      "account_id": "f3e2d1c0b9a8978685746362514e3f2e",
      "cost_basis": "10000.00",
      "currency_code": "USD",
      "current_price": "150.25",
      "current_price_as_of": "2026-04-03T16:00:00.000Z",
      "purchase_price": "100.00",
      "daily_change": "2.50",
      "description": "Vanguard S&P 500 ETF",
      "market_value": "15025.00",
      "quantity": "100.0",
      "symbol": "VOO",
      "total_ugl_amount": "5025.00",
      "total_ugl_percentage": "0.5025",
      "face_value": "10000.00",
      "rate": "1.00"
    }
  ],
  "count": 123
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Query Parameters

account_ids
string

Comma-separated list of account IDs to filter holdings

account_subtypes
string

Comma-separated list of account subtypes to filter holdings (e.g., PLAN_401_K, IRA, BROKERAGE)

holding_types
string

Comma-separated list of holding types to filter holdings (e.g., EQUITY, MUTUAL_FUND, OPTIONS)

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page. Default is 100, maximum is 500.

Response

next
string<uri> | null
required
Minimum string length: 1
previous
string<uri> | null
required
Minimum string length: 1
accounts
object[]
required
holdings
object[]
required
count
integer